#
# spec file for package rubygem-winrm-fs
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-winrm-fs
Version:        1.3.5
Release:        1.18
%define mod_name winrm-fs
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.4.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://github.com/WinRb/winrm-fs
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        WinRM File System
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Ruby library for file system operations via Windows Remote Management.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.3.5
  no changelog found
* Tue Feb  4 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 1.3.4
  [#] 1.3.4
  - Bump rubyzip dependency
  [#] 1.3.3
  - Replace erubis with erubi
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.2
  changelog.md removed upstream
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.1
  see installed changelog.md
  [#] 1.3.1
  - Download files in chunks
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.3.0
  see installed changelog.md
  [#] 1.3.0
  - Upload from StringIO object
  - Add missing winrm/exceptions require in file_transporter
  - Use correct way to relativize paths of Zip entries
  [#] 1.2.1
  - Correctly handle unicode filenames
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 1.2.0
  see installed changelog.md
  [#] 1.2.0
  - Add ability to download directories
  [#] 1.1.1
  - Remove empty items from powershell pipeline when extracting zip files
* Thu Oct 26 2017 coolo@suse.com
- updated to version 1.1.0
  see installed changelog.md
  [#] 1.1.0
  - Convert MD5 hashes to SHA1.
* Thu Sep 21 2017 coolo@suse.com
- updated to version 1.0.2
  see installed changelog.md
* Sun May 21 2017 opensuse_buildservice@ojkastl.de
- created spec with gem2rpm
